%define	rname sdbi
%define	major 1
%define	libname %mklibname %{rname} %{major}
%define	develname %mklibname %{rname} -d

Summary: 	Simple Database Interface Library
Name: 		libsdbi
Version: 	1.2.4
Release: 	%mkrel 5
License: 	LGPL
Group: 		System/Libraries
URL: 		http://adv.org.ua/devel/libsdbi
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libsdbi-no_strip.diff
Patch1:		libsdbi-soname.diff
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
The libsdbi API provide standard accessing to database data.

%package -n	%{libname}
Summary:        Simple Database Interface Library Development
Group:          System/Libraries

%description -n %{libname}
The libsdbi API provide standard accessing to database data.

%package -n	%{develname}
Summary: 	Simple Database Interface Library Development
Group: 		Development/C
Requires:	%{libname} = %{version}
Provides: 	sdbi-devel
Provides:	%{libname}-devel = %{version}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
The libsdbi API provide standard accessing to database data.

%prep

%setup -q
%patch0 -p0
%patch1 -p0

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

%build

%configure

%make -C src

%install
rm -rf %{buildroot}

%makeinstall -C src

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean 
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%doc README TODO ChangeLog
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/%{rname}


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.4-5mdv2008.1
+ Revision: 140928
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdv2008.0
+ Revision: 66633
- Import libsdbi



* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdv2008.0
- conform to the latest specs
- fix deps and build

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-4mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.4-3mdk
- use %%mklibname
- quiet setup

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- rebuild

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- update files section

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3-1mdk
- submitted by Andriy Marchenko <adv@adv.org.ua> :
	- Initial spec file created 
